use strict;
use warnings;

use lib 't/lib/';

use Test::More;
my @missing;
eval" use Test::WWW::Mechanize::Catalyst; ";
if($@){
	push @missing, "Test::WWW::Mechanize";
}
eval" use GD::SecurityImage; ";
if($@){
	push @missing, "GD::SecurityImage";
}

if(@missing){
plan skip_all => "The following Modules are required to run this test: " . join ", ", @missing;
}
else{
plan tests => 7;
}
my $mech = Test::WWW::Mechanize::Catalyst->new(catalyst_app => "MyCatalystApp");

$mech->get_ok("/captcha");
#diag explain $mech;

$mech->content_contains('<img src="/captcha/test"/><input id="captcha" name="captcha"></div>');

$mech->get_ok("/captcha/get_rnd");

my $rnd = $mech->content;

$mech->get_ok("/captcha/test");

is $mech->res->content_type, "png";

$mech->get_ok("/captcha?captcha=$rnd");

$mech->content_is("verification succeeded");

done_testing;
exit;

